summaryrefslogtreecommitdiff
path: root/debian/apt.postinst
diff options
context:
space:
mode:
authorMichael Vogt <mvo@ubuntu.com>2014-09-25 12:33:26 +0200
committerMichael Vogt <mvo@ubuntu.com>2014-09-25 12:33:26 +0200
commite31a89e668596ea86c8f3a08429cd2f48286e734 (patch)
tree417a694cc8dea17a352c2534f6a9e1f7b23178c6 /debian/apt.postinst
parent03bfbc965443393b92b2d6d82613472fa3a5067f (diff)
parent47d278dc7184606f751d015689e0c49eccde4547 (diff)
Merge remote-tracking branch 'upstream/debian/experimental' into feature/acq-trans
Diffstat (limited to 'debian/apt.postinst')
-rw-r--r--debian/apt.postinst7
1 files changed, 7 insertions, 0 deletions
diff --git a/debian/apt.postinst b/debian/apt.postinst
index fd3e273bb..fab026504 100644
--- a/debian/apt.postinst
+++ b/debian/apt.postinst
@@ -26,6 +26,13 @@ case "$1" in
fi
fi
+ # add unprivileged user for the apt methods
+ adduser --force-badname --system --no-create-home \
+ --quiet _apt || true
+ chown -R _apt:root \
+ /var/lib/apt/lists \
+ /var/cache/apt/archives
+
# ensure tighter permissons on the logs, see LP: #975199
if dpkg --compare-versions "$2" lt-nl 0.9.7.7; then
# ensure permissions are right